This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 187490 - RFE: reload configuration without restarting
RFE: reload configuration without restarting
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: oddjob (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks: 179154
  Show dependency treegraph
 
Reported: 2006-03-31 05:57 EST by Nalin Dahyabhai
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.25-1
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-02 14:44:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nalin Dahyabhai 2006-03-31 05:57:44 EST
Description of problem:
It would be useful if oddjobd supported reloading its configuration without
requiring a complete restart, which would force a loss of results for any
in-progress actions.

Either as a signal handler (the traditional SIGHUP) or a D-BUS API.  Maybe both.

Version-Release number of selected component (if applicable):
0.24-3
Comment 1 Nalin Dahyabhai 2006-05-02 14:44:07 EDT
Fixed in 0.25.

Note You need to log in before you can comment on or make changes to this bug.